_PurpleBuddy Struct Reference

A buddy. More...

`#include <blist.h>`

## Data Fields

PurpleBlistNode | node
| The node that this buddy inherits from.
char * | name
| The name of the buddy. More...
char * | alias
| The user-set alias of the buddy.
char * | server_alias
| The server-specified alias of the buddy. More...
void * | proto_data
| This allows the prpl to associate whatever data it wants with a buddy.
PurpleBuddyIcon * | icon
| The buddy icon. More...
PurpleAccount * | account
| the account this buddy belongs to
PurplePresence * | presence
PurpleMediaCaps | media_caps
| The media capabilities of the buddy. More...

## Detailed Description

A buddy.

This contains everything Purple will ever need to know about someone on the buddy list. Everything.

Definition at line 138 of file blist.h.

## Field Documentation

PurpleBuddyIcon* _PurpleBuddy::icon

The buddy icon.

Definition at line 144 of file blist.h.

PurpleMediaCaps _PurpleBuddy::media_caps

The media capabilities of the buddy.

Definition at line 147 of file blist.h.

char* _PurpleBuddy::name

The name of the buddy.

Definition at line 140 of file blist.h.

char* _PurpleBuddy::server_alias

The server-specified alias of the buddy.

(i.e. MSN "Friendly Names")

Definition at line 142 of file blist.h.

The documentation for this struct was generated from the following file:

- blist.h